Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers.locators
Interface BrowserLocator

All Known Implementing Classes:
  Firefox2Locator, Firefox2or3Locator, Firefox3Locator, FirefoxLocator, GoogleChromeLocator, InternetExplorerLocator, SafariLocator, SingleBrowserLocator

    public interface BrowserLocator

Discovers a valid browser installation on local system.

Method Summary
`BrowserInstallation` | `findBrowserLocationOrFail()`
`BrowserInstallation` | `retrieveValidInstallationPath(java.lang.String customLauncherPath)`

Method Detail

### findBrowserLocationOrFail

    BrowserInstallation findBrowserLocationOrFail()

### retrieveValidInstallationPath

    BrowserInstallation retrieveValidInstallationPath(java.lang.String customLauncherPath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.